Package com.mockobjects.jms

# Class MockTextMessage

java.lang.Object
com.mockobjects.MockObject
com.mockobjects.jms.MockMessage
com.mockobjects.jms.MockTextMessage

All Implemented Interfaces:
  `Verifiable`

public class MockTextMessage extends MockMessage

## Constructor Summary

Constructors
Constructor
Description
`MockTextMessage()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getText()`
`void`
`setExpectedText(String text)`
`void`
`setText(String text)`
`void`
`setupGetText(String text)`

### Methods inherited from class com.mockobjects.jms.MockMessage

`acknowledge, clearBody, clearProperties, getBooleanProperty, getByteProperty, getDoubleProperty, getFloatProperty, getIntProperty, getJMSCorrelationID, getJMSCorrelationIDAsBytes, getJMSDeliveryMode, getJMSDestination, getJMSExpiration, getJMSMessageID, getJMSPriority, getJMSRedelivered, getJMSReplyTo, getJMSTimestamp, getJMSType, getLongProperty, getObjectProperty, getPropertyNames, getShortProperty, getStringProperty, propertyExists, setBooleanProperty, setByteProperty, setDoubleProperty, setExpectedAcknowledgeCalls, setExpectedJMSReplyTo, setExpectedSetJMSCorrelationIDCalls, setFloatProperty, setIntProperty, setJMSCorrelationID, setJMSCorrelationIDAsBytes, setJMSDeliveryMode, setJMSDestination, setJMSExpiration, setJMSMessageID, setJMSPriority, setJMSRedelivered, setJMSReplyTo, setJMSTimestamp, setJMSType, setLongProperty, setObjectProperty, setShortProperty, setStringProperty, setupJMSMessageID, setupThrowException`

### Methods inherited from class com.mockobjects.MockObject

`notImplemented, notYetImplemented, verify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MockTextMessage

public MockTextMessage()

## Method Details

### setText

public void setText(String text)

### getText

public String getText()

### setupGetText

public void setupGetText(String text)

### setExpectedText

public void setExpectedText(String text)